=== debian/changelog ===
ros-melodic-jderobot-camviz (0.1.0-2stretch) stretch; urgency=high

  * first public release of camViz for Melodic
  * Contributors: Jose Maria Cañas Plaza, Pankhuri Vanjani, Francisco Perez

 -- Your Name <pankhurivanjani@gmail.com>  Sat, 07 Mar 2020 16:00:00 -0000
