=== debian/control ===
Source: ros-melodic-jderobot-camviz
Section: misc
Priority: optional
Maintainer: Your Name <pankhurivanjani@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, pkg-config, python3-catkin-pkg-modules, python3-yaml, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-image-transport, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/beginner_tutorials
Standards-Version: 3.9.2

Package: ros-melodic-jderobot-camviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, python3-yaml, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: camViz package
